/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef  _NEW_PROCESS_H
#define _NEW_PROCESS_H

#include <iostream>

#include "conf.h"

using namespace std;

// absolute values, actually negative
enum { OK,
       COMMAND_ERR,
       PIPE_ERR,
       FORK_ERR,
       RETURN_ERR,
       NOT_EINTR_ERR,
       UNKNOWN_ERR    };

class NewProcess
{

public:
  NewProcess(void);
  ~NewProcess(void);

  int new_process(string &command, string &sh_pname);

  string status_string;

private:


protected:

};



#endif // _NEW_PROCESS_H
