# THIS FILE IS A MESS!
# This .spec file is for a "/usr/local" type of install

%define name		spiffa
%define version		1.3

# ---------------------------------------------------

Prefix:			/usr/local

# derived from above but they work as fine tuning...
# Needed for ./configure which is part of autogen.sh
# Alter as required

%define bindir		%{prefix}/bin
%define datadir		%{prefix}/share
%define sysconfdir	%{prefix}/etc
%define localstatedir	%{prefix}/var
%define mandir		%{prefix}/man

# derived from above but for this .spec file only
# DO NOT CHANGE THESE UNLESS YOU KNOW WHAT YOU'RE DOING!
%define doc		%{datadir}/%{name}
%define docdir		%{datadir}/%{name}/doc
%define logdir		%{localstatedir}/log
%define rundir		%{localstatedir}/run

%define sname	%{name}-%{version}
%define sdir	$RPM_BUILD_DIR/%{name}-%{version}

Name:           %{name}
Version:        %{version}
Release:        1%{?dist}
Summary:     	New Backup, Update Backup or Restore, with or without GUI  

Group:       	Applications/System   
License:        GPL
Packager:       David M. Balean  <linprogs@balean.net>
Vendor:		David M. Balean  <linprogs@balean.net>
URL:		http://www.balean.net
Requires: 	glib2 >= 2.4.0
Requires: 	gtk2 >= 2.4.0
Requires:	,/bin/sh
BuildRoot:      %{_tmppath}/%{sname}
Source:		%{sname}.tar.gz

%description
Backup, incremental backup or restore using either a GTK graphical
user interface or direct from the command line without the GUI.


%prep
%setup -q


%build
rm -rf $RPM_BUILD_ROOT

rm -f %{sdir}/Makefile %{sdir}/Makefile.in configure autote.cache

rm -f %{sdir}/src/common/Makefile %{sdir}/src/common/Makefile.in
rm -rf %{sdir}/src/common/.deps

rm -f %{sdir}/src/spiffa/Makefile %{sdir}/src/spiffa/Makefile.in
rm -rf %{sdir}/src/spiffa/.deps

rm -f %{sdir}/src/spiffaslave/Makefile %{sdir}/src/spiffaslave/Makefile.in
rm -rf %{sdir}/src/spiffaslave/.deps


%{sdir}/autogen.sh  --prefix=%{prefix} \
	--bindir=%{bindir} --datadir=%{datadir} \
	--sysconfdir=%{sysconfdir} \
	--localstatedir=%{localstatedir} \
	--mandir=%{mandir}

make


%install

make prefix=$RPM_BUILD_ROOT%{prefix} \
	bindir=$RPM_BUILD_ROOT%{bindir} \
	datadir=$RPM_BUILD_ROOT%{datadir} \
	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
	localstatedir=$RPM_BUILD_ROOT%{localstatedir} \
	mandir=$RPM_BUILD_ROOT%{mandir} install

gzip --best $RPM_BUILD_ROOT%{mandir}/man1/spiffa.1

%clean
rm -rf $RPM_BUILD_ROOT

%files

%defattr(-,root,root,-)

%dir %{localstatedir}/run
%dir %{localstatedir}/log
%dir %{doc}
%dir %{docdir}
%dir %{docdir}/files
%dir %{sysconfdir}
%dir %{mandir}
%dir %{mandir}/man1

%defattr(-,root,root,-)

%{mandir}/man1/spiffa.1.gz


# Looks like this has to be it...
%{doc}/AUTHORS
%{doc}/ChangeLog
%{doc}/COPYING
%{doc}/NEWS
%{doc}/README
%{doc}/TODO

%{docdir}/SPIFFA.html
%{docdir}/files/actions_backup.png
%{docdir}/files/actions_restore.png
%{docdir}/files/actions_root.png
%{docdir}/files/already_running.png
%{docdir}/files/bu_options.png
%{docdir}/files/other_options.png
%{docdir}/files/pathnames.png
%{docdir}/files/permission_denied.png
%{docdir}/files/permission_conf.png
%{docdir}/files/users.png
%{docdir}/files/bu_end.png
%{docdir}/files/fatal_error.png
%{docdir}/files/restore_selection_dialog.png
%{docdir}/files/selection_chosen.png
%{docdir}/images/blank.png
%{docdir}/images/bu.png
%{docdir}/images/rs.png
%{docdir}/images/rw0.png
%{docdir}/images/rw1.png
%{docdir}/images/rw2.png
%{docdir}/images/rw3.png
%{docdir}/images/rw4.png
%{docdir}/images/rw5.png
%{docdir}/images/rw6.png
%{docdir}/images/spiffa.png
%{docdir}/images/spiffa_logo.png
%{docdir}/images/up.png

%defattr(0711,root,root,-)
%{bindir}/spiffa

%defattr(6711,root,root,-)
%{bindir}/spiffaslave


# %changelog
