/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef VERSION_H
#define VERSION_H

// unused
#ifndef EPREFIX
#define EPREFIX "/usr/local"
#endif  // EPREFIX

#ifndef PREFIX
#define PREFIX "/usr/local"
#endif  // PREFIX

#ifndef BINDIR
#define BINDIR EPREFIX"/bin"
#endif  // BINDIR

#ifndef DATADIR
#define DATADIR PREFIX"/share"
#endif  // DATADIR

#ifndef SYSCONFDIR
#define SYSCONFDIR PREFIX"/etc"
#endif  // SYSCONFDIR

#ifndef LOCALSTATEDIR
#define LOCALSTATEDIR PREFIX"/var"
#endif  // LOCALSTATEDIR


#define RUNDIR LOCALSTATEDIR"/run"
#define LOGDIR LOCALSTATEDIR"/log"
#define DOCDIR DATADIR"/spiffa/doc"

// unused (and there are also others undefined)--------------
#ifndef SBINDIR
#define SBINDIR PREFIX"/sbin"
#endif  // SBINDIR

#ifndef SHAREDSTATEDIR
#define SHAREDSTATEDIR PREFIX"/com"
#endif  // LOCALSTATEDIR

#ifndef INFODIR
#define INFODIR PREFIX"/info"
#endif  // INFODIR

#ifndef MANDIR
#define MANDIR PREFIX"/man"
#endif  // MANDIR
// ----------------------------------------------------------

#define version_txt         "spiffa version 1.3"
#define copyright_txt       "Copyright (C) 2007 David M. Balean"
#define email_contact_txt   "email: <linprogs@balean.net>"
#define snail_contact_txt   "snail: 44 Wyong Road, Killarney Vale, NSW  2261, AUSTRALIA"

#endif // VERSION_H
